Subject: Re: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: Gĳs Hillenius <[email-masked]>
Date: Sat, 21 Mar 2020 10:23:04 +0100

I might have the same issue here¹, I have this in init.el: 
(run-at-time "10:35" 21600 'org-mobile-push)

M-x list-timers shows:

     -365959.09   360.00 org-mobile-push

It is the only timer with a minus sign. M-x org-mobile-push works as
intended.

I will run emacs -Q and see what I can find out.

FWIW: This timer has been in my init el since 2015. It used to
temporarily make Emacs stutter for a second or two when it ran every
morning, so I would visibly notice it. This stuttering stopped already
months ago. At first I thought it was because the timer was set to a
moment that the laptop would be asleep, so I adjusted it .. but that has
not helped. It's when I noticed this bug report that I thought...

1) GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.14, cairo version 1.16.0) of 2020-03-16, unofficial emacs-snapshot
build: http://emacs.secretsauce.net

On  6 March 2020 19:07 Eli Zaretskii, wrote:

>> Date: Fri, 6 Mar 2020 16:30:24 +0000 (GMT)
>> From: ndame <[email-masked]>
>> Cc: "[email-masked]" <[email-masked]>
>> 
>> Ok, will do if it happens again. I don't know what triggers it, because
>> it happens only occasionally.
>
> Thanks.
>
>> The strange thing is it would be a logical explanation that emacs substracts
>> the new time from the timer and it makes it go negative (though I haven't 
>> checked how it is implemented), but usually only one of the timers go 
>> negative, not all of them, so the bug does not affect all timers when it 
>> happens.
>
> AFAICS, Emacs doesn't subtract to compute the "next" time, it actually
> _adds_.  That's why I asked for data: I don't see any immediate
> suspects that could cause what you describe.
>
>
>
>

-- 
You will be held hostage by a radical group.